Redmine - Defect #7821

Git "previous" and "next" revisions are incorrect
2011-03-10 04:36 - Toshi MARUYAMA

Status: Closed Start date: 2011-03-10
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 1.2.0

Resolution: Fixed Affected version: 0.9.0
Description

For example, This is Redmine r1 git revision.
https://www.chiliproject.org/projects/chiliproject/repository/revisions/d19142e20

Previous revision should be nil, and next revision should be r3.
But, previous revision is r3.
https://www.chiliproject.org/projects/chiliproject/repository/revisions/73e0b8f8b3
Revision d19142e2 «rree e auszea ok

) | Revision 73e0b8f8 |

ID: d19142e20949c442c20275246713d39:33a2 103
Acdded by Jean-Philippe Lang over 4 years ago |

Initial zetup
git-svn-ic: hig/redmine.rubyforge.org/swnirunk@ L e9378b46-1217-04 10-a60-8f06a7 374081
Files

@added © modified ® copied ®renamed 2 deleted

https://www.chiliproject.org/projects/chiliproject/repository/revisions/73e0b8f8b3c9350018a 7d8fdal43dd9b8aa6f091

The reason is described at note-6 of #5357.
$ git log master —--reverse
commit d19142e20949d442c20275e467£3d39¢c33a21£03
Author: Jean-Philippe Lang
Date: Wed Jun 28 17:26:26 2006 +0000
Initial setup
git-svn-id: http://redmine.rubyforge.org/svn/trunk@l e93f8b46-1217-0410-a6f0-8£f06a7374b81
commit 73e0b8f8b3c9350018a7d8fdald3dd9b8aabf091l
Author: Jean-Philippe Lang

Date: Wed Jun 28 18:09:47 2006 +0000

Initial import.
git-svn-id: http://redmine.rubyforge.org/svn/trunk@3 e93f8b46-1217-0410-a6f0-8£f06a7374b81

commit 6b7650e2f03156eale3985b30c1995e44c317e3d
Author: Jean-Philippe Lang
Date: Wed Jun 28 18:11:03 2006 +0000

Initial commit

git-svn-id: http://redmine.rubyforge.org/svn/trunk@4 e93f8b46-1217-0410-a6f0-8£f06a7374b81

$ ( echo 'SELECT id, committed_on, revision FROM changesets ' \
echo 'where repository_id = 59 order by id;"' ) \
| sglite3 test.db
27493212006-12-07 05:16:43|41c2af55cf508ad3c4bb566£f0696a4130697763a
27493312006-07-10 01:30:01]1£37089f54784da4b457ed19d588e137078977089
27493412006-07-04 04:38:10|366ca57c36df8e85f903304e0ab0364d4a5ea006
27493512006-06-29 04:54:35|b1ede59d02891c0e284e15680abd73301374d3bc
274936|2006-06-29 03:11:03|6b7650e2f03156€a1e3985b30c1995e44c317e3d
27493712006-06-29 03:09:47|73e0b8£8b3c9350018a7d8fdal43dd%8aabf091
274938|2006-06-29 02:26:26[1d19142e20949d442c20275e467£3d39¢c33a21£03

Related issues:
Related to Redmine - Defect #5357: Git: SCM revisions ordered by date/time (s... New 2010-04-20
Has duplicate Redmine - Defect #8346: Git: Previous and Next links are confusing Closed 2011-05-12

Associated revisions

Revision 5073 - 2011-03-10 05:30 - Toshi MARUYAMA

scm: git: insert revisions to database with reverse commit order (#7821, #5357).

Revision 5074 - 2011-03-10 05:31 - Toshi MARUYAMA

scm: git: add tests for previous and next versions in unit model test (#7821, #5357).

Revision 5853 - 2011-05-19 04:16 - Toshi MARUYAMA

scm: git: set revisions ordering inconsistent in existing database (#5357).

Between version 0.9 r2840 (#1406) and version 1.2 r5073 (#7821, #5357),
git revisions are stored as C-B-A-F-E-D in database.

History

#1 - 2011-03-10 04:42 - Toshi MARUYAMA
- File deleted (redmine-r1.png)

#2 - 2011-03-10 04:44 - Toshi MARUYAMA
- File redmine-r1.png added

#3 - 2011-03-10 05:32 - Toshi MARUYAMA
- Status changed from New to Closed
- Target version set to 1.2.0

- Resolution set to Fixed

Fixed in r5073 and r5074.

Files

redmine-r1.png 59.4 KB 2011-03-10 Toshi MARUYAMA
